commit:     8e5518d97f51d8a264973101ec9c95617b5610c1
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 19 05:27:29 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jan 19 06:08:21 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8e5518d9

dev-python/tox: Bump to 4.3.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/tox/Manifest         |  1 +
 dev-python/tox/tox-4.3.5.ebuild | 86 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 87 insertions(+)

diff --git a/dev-python/tox/Manifest b/dev-python/tox/Manifest
index 7652073f5122..69a12c6f347e 100644
--- a/dev-python/tox/Manifest
+++ b/dev-python/tox/Manifest
@@ -1,3 +1,4 @@
 DIST tox-3.27.1.gh.tar.gz 309006 BLAKE2B 
fa8aaa9cd5b03e54c166bb6b748290420b91498b26d2d124d9f88a64806b9ac0578c1886845b25aa024907f6a782c45609fa6c7657d9e1f538b59c2d9f0f4e14
 SHA512 
5f568bc6c53f871aae91928681dd6f2419b876a8e6ca925e65abae845b548ee3d00513741882875bbbacb78bf64935228d98213f940d3da8c3f788b73f177b79
 DIST tox-3.28.0.gh.tar.gz 309472 BLAKE2B 
9896411426f6aebb3efa468c01696ecc5f17ec3e67825672d0efc74c1b1468bc8b8d9c14b6177c181750ba4b9a5e77d616068dd83e21f5641acfc8e2a271cc1f
 SHA512 
64816754e6800661bb564c5c7d21c4139522d540a04fafe3c4591d596072d48d1cbe0ee2abee9c8faf3d5007774f5371431b5a7a8f49912bc879c7b168aab2ca
 DIST tox-4.3.4.gh.tar.gz 298487 BLAKE2B 
d1b36e537cdc8309c550b664e8543ae06329d713fe2267ce2c7082c57c597155b4d1764baedf58c2ce762570a4988bb293ec5e74829e722163dd0d00ed13f558
 SHA512 
288d7867131009229acfcd3fb78fdc60e0f4de933a64c1a91600cbcee496eb5787e24b43705815705b7d1fe6a4d19f4987571d9a237292d6e7216bd63c235444
+DIST tox-4.3.5.gh.tar.gz 298866 BLAKE2B 
86f6d76d2600f6acc3ac02f0998e818acf053991b3a2e89c3c206d36a32f1427f14ba2e5524124172a353c51d4fab8dfd7161b0d2d437f80cfc7b554befcc91c
 SHA512 
18347306857c616801fc0975dff94fcd5097dc16741a0fdd0c885d4f43bbc8620a419b53fd8a5c97b8f80220ba6a2d3911e42b42c767233260337152784b732b

diff --git a/dev-python/tox/tox-4.3.5.ebuild b/dev-python/tox/tox-4.3.5.ebuild
new file mode 100644
index 000000000000..86ff7b745303
--- /dev/null
+++ b/dev-python/tox/tox-4.3.5.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9..11} pypy3 )
+
+inherit distutils-r1
+
+MY_P=${P/_}
+DESCRIPTION="virtualenv-based automation of test activities"
+HOMEPAGE="
+       https://tox.readthedocs.io/
+       https://github.com/tox-dev/tox/
+       https://pypi.org/project/tox/
+"
+SRC_URI="
+       https://github.com/tox-dev/tox/archive/${PV/_}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~riscv"
+
+RDEPEND="
+       >=dev-python/cachetools-5.2.1[${PYTHON_USEDEP}]
+       >=dev-python/chardet-5.1[${PYTHON_USEDEP}]
+       >=dev-python/colorama-0.4.6[${PYTHON_USEDEP}]
+       >=dev-python/filelock-3.8.2[${PYTHON_USEDEP}]
+       >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
+       >=dev-python/platformdirs-2.6[${PYTHON_USEDEP}]
+       >=dev-python/pluggy-1[${PYTHON_USEDEP}]
+       >=dev-python/pyproject-api-1.5[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+       ' 3.8 3.9 3.10)
+       >=dev-python/virtualenv-20.17.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       >=dev-python/hatch-vcs-0.3[${PYTHON_USEDEP}]
+       test? (
+               dev-python/build[${PYTHON_USEDEP}]
+               >=dev-python/distlib-0.3.6[${PYTHON_USEDEP}]
+               >=dev-python/flaky-3.7[${PYTHON_USEDEP}]
+               >=dev-python/psutil-5.9.4[${PYTHON_USEDEP}]
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+               >=dev-python/pytest-xdist-3.1[${PYTHON_USEDEP}]
+               >=dev-python/re-assert-1.1[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep '
+                       >=dev-python/time-machine-2.8.2[${PYTHON_USEDEP}]
+               ' 'python*')
+       )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+src_prepare() {
+       # the minimal bounds in tox are entirely meaningless and new packaging
+       # breaks setuptools
+       sed -i -e '/packaging/s:>=[0-9]\+::' pyproject.toml || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       # devpi_process is not packaged, and has lots of dependencies
+       cat > "${T}"/devpi_process.py <<-EOF || die
+               def IndexServer(*args, **kwargs): raise NotImplementedError()
+       EOF
+
+       local -x PYTHONPATH=${T}:${PYTHONPATH}
+       local EPYTEST_DESELECT=(
+               # Internet
+               
tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_build_wheel_external
+       )
+       local EPYTEST_IGNORE=(
+               # requires devpi*
+               tests/test_provision.py
+       )
+
+       epytest
+}

Reply via email to